Subject: Re: [PATCH net-next] net: airoha: Fix GDM2 loopback configuration for USB serdes

From: Simon Horman <[email-masked]>
Date: Fri, 6 Mar 2026 13:42:26 +0000

On Wed, Mar 04, 2026 at 09:29:05AM +0100, Lorenzo Bianconi wrote:
> > On Sat, Feb 28, 2026 at 01:20:33PM +0100, Lorenzo Bianconi wrote:
> > > Flow Control source port mapping for USB serdes needs to be configured
> > > according to the GDM port nbd parameter. This is a preliminary patch
> > > since nbd parameter is specific for the given port serdes and needs to
> > > be read from the DTS (in the current codebase is assigned statically).
> > > 
> > > Signed-off-by: Lorenzo Bianconi <[email-masked]>
> > 
> > Hi Lorenzo,
> > 
> > Is this a fix? If so, should it have a fixes tag? And be targeted at net?
> > Otherwise, perhaps drop the "Fix" from the subject.
> 
> Hi Simon,
> 
> This is a preliminary patch in order to completely fix the loopback
> configuration for USB serdes but the point is we are not supporting
> USB serdes upstream yet (there is only OpenWrt support available at
> the moment). Do you think we should target net-next or net in this
> case?

If there is no bug in net - given the way net can be used with in-tree code
- then I would not tag this as a fix.

> 
> > 
> > Also, I think it would be worth explaining the situation
> > before and after this patch.

...